Bug 546099 - [abrt] crash detected in java-1.6.0-openjdk-1:1.6.0.0-33.b16.fc12
[abrt] crash detected in java-1.6.0-openjdk-1:1.6.0.0-33.b16.fc12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Andrew Haley
Fedora Extras Quality Assurance
abrt_hash:5fe8077948f8e01f0d7e0c4d7a6...
:
: 556595 561131 576165 578993 581051 588983 592268 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-09 19:55 EST by Dacong Yan
Modified: 2010-12-03 20:53 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 20:53:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (261.95 KB, text/plain)
2009-12-09 19:55 EST, Dacong Yan
no flags Details

  None (edit)
Description Dacong Yan 2009-12-09 19:55:32 EST
abrt 1.0.0 detected a crash.

Attached file: backtrace
cmdline: java -Xmx128m -cp ./Azureus2.jar:./swt.jar -Djava.library.path=/opt/vuze -Dazureus.install.path=/opt/vuze -Dazureus.script=/opt/vuze/azureus -Dazureus.script.version=2 org.gudy.azureus2.ui.swt.Main
component: java-1.6.0-openjdk
executable: /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/bin/java
kernel: 2.6.31.6-162.fc12.i686.PAE
package: java-1.6.0-openjdk-1:1.6.0.0-33.b16.fc12
rating: 3
reason: Process was terminated by signal 6
Comment 1 Dacong Yan 2009-12-09 19:55:43 EST
Created attachment 377351 [details]
File: backtrace
Comment 2 Mark Wielaard 2009-12-10 05:49:47 EST
Relevant part of the backtrace seems to be:

#7  <signal handler called>
No symbol table info available.
#8  ciTypeFlow::build_loop_tree (this=<value optimized out>, 
    blk=<value optimized out>)
    at /usr/src/debug/icedtea6-1.6/openjdk/hotspot/src/share/vm/ci/ciTypeFlow.cpp:2482
        lp = 0x0
        succ = <value optimized out>
        iter = {<StackObj> = {<No data fields>}, _pred = 0xa5a1e58, _index = 
    0, _succ = 0x9f35628}
        innermost = <value optimized out>
#9  0x00d0785e in ciTypeFlow::df_flow_types (this=<value optimized out>, 
    start=<value optimized out>, do_flow=<value optimized out>, 
    temp_vector=<value optimized out>, temp_set=<value optimized out>)
    at /usr/src/debug/icedtea6-1.6/openjdk/hotspot/src/share/vm/ci/ciTypeFlow.cpp:2635
        blk = <value optimized out>
        root_head = <value optimized out>
        root_tail = <value optimized out>
        next_po = <value optimized out>
        stk = {<GenericGrowableArray> = {<ResourceObj> = {<No data fields>}, 
            _len = 2, _max = 100, _arena = 0x7ebf5c}, _data = 0xa5a1900}
        dummy = <value optimized out>
        root_set = <value optimized out>
        size = <value optimized out>
#10 0x00d08093 in ciTypeFlow::flow_types (this=<value optimized out>)
    at /usr/src/debug/icedtea6-1.6/openjdk/hotspot/src/share/vm/ci/ciTypeFlow.cpp:2670
        start = <value optimized out>
        start_state = 0x9f35628
#11 0x00d0817d in ciTypeFlow::do_flow (this=<value optimized out>)
    at /usr/src/debug/icedtea6-1.6/openjdk/hotspot/src/share/vm/ci/ciTypeFlow.cpp:2831
No locals.
#12 0x00cf20f8 in ciMethod::get_osr_flow_analysis (
    this=<value optimized out>, osr_bci=<value optimized out>)
    at /usr/src/debug/icedtea6-1.6/openjdk/hotspot/src/share/vm/ci/ciMethod.cpp:333
        env = 0x7ebf58
        flow = <value optimized out>
#13 0x00fed47e in Parse::Parse (this=<value optimized out>, 
    caller=<value optimized out>, parse_method=<value optimized out>, 
    expected_uses=<value optimized out>)
    at /usr/src/debug/icedtea6-1.6/openjdk/hotspot/src/share/vm/opto/parse1.cpp:451
        entry_map = 0x9f35628
        log = 0x0
        md = <value optimized out>
        caller_nn = 0x10
        entry_block = <value optimized out>
Comment 3 Mark Wielaard 2009-12-10 06:07:52 EST
So we get lp = 0x0 at ciTypeFlow.cpp:2482

    // Check for irreducible loop.
    // Successor has already been visited. If the successor's loop head
    // has already been post-visited, then this is another entry into the loop.
    while (lp->head()->is_post_visited() && lp != loop_tree_root()) {

And obviously dereferencing lp isn't going to work...

Might this be http://bugs.sun.com/view_bug.do?bug_id=6854812 ?
It might or might not, the symptom seems to be the same (lp being NULL), but we are seeing it at the start of the while loop, while in that case it is observed (through an assert) at the end of that same loop.
Comment 4 Dacong Yan 2009-12-10 09:47:08 EST
(In reply to comment #1)
> Created an attachment (id=377351) [details]
> File: backtrace  

Usually, this crash happens when the network condition is bad or the network simply goes down. Actually, the BT software makes the network down in the first place.
Comment 5 Karel Klíč 2010-02-24 12:11:10 EST
*** Bug 556595 has been marked as a duplicate of this bug. ***
Comment 6 Karel Klíč 2010-02-24 12:11:15 EST
*** Bug 561131 has been marked as a duplicate of this bug. ***
Comment 7 Kerry 2010-02-25 02:13:52 EST
If this is the same bug I've run into, it is super easy to reproduce. Just have Vuze running, suspend your system, then restart it. It generally crashes within a few minutes of restarting. What I can read on the stack traces seem to point at network things being the cause. It must be when the network is getting reconnected after the suspend. I also filed a bug about this with Iced Tea.
http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=422

I've since switched over to the Sun JDK 1.6.0_18 a few days ago and it hasn't crashed at all while restarting after a suspend.
Comment 8 Karel Klíč 2010-05-25 05:03:17 EDT
*** Bug 576165 has been marked as a duplicate of this bug. ***
Comment 9 Karel Klíč 2010-05-25 05:03:22 EDT
*** Bug 578993 has been marked as a duplicate of this bug. ***
Comment 10 Karel Klíč 2010-05-25 05:03:27 EDT
*** Bug 581051 has been marked as a duplicate of this bug. ***
Comment 11 Karel Klíč 2010-05-25 05:03:31 EDT
*** Bug 588983 has been marked as a duplicate of this bug. ***
Comment 12 Karel Klíč 2010-05-25 05:03:35 EDT
*** Bug 592268 has been marked as a duplicate of this bug. ***
Comment 13 Bug Zapper 2010-11-03 23:45:44 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-12-03 20:53:00 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.